import request from '@/utils/request'
//换电信息
export function swapInfo(data) {
    return request({
      url: '/swap/swapInfo',
      method: 'post',
      data
    })
}
//换电记录
export function swapRecord(data) {
    return request({
      url: '/swap/swapRecord',
      method: 'post',
      data
    })
}
//告警记录
export function alarmRecord(data) {
    return request({
      url: '/swap/alarmRecord',
      method: 'post',
      data
    })
}
//已连接站控车辆列表
export function CarOnline(data){
  return request({
    url: '/vehicle/online',
    method: 'post',
    data
  })
}
//修改车牌号
export function EditPlate(data){
  return request({
    url: '/vehicle/editPlate',
    method: 'post',
    data
  })
}
//车辆上锁
export function Updatelock(data){
  return request({
    url: '/vehicle/lock',
    method: 'post',
    data
  })
}
//车辆解锁
export function Updateunlock(data){
  return request({
    url: '/vehicle/unlock',
    method: 'post',
    data
  })
}
//锁止屏蔽
export function EditforbidLock(data){
  return request({
    url: '/vehicle/forbidLock',
    method: 'post',
    data
  })
}
//暂停恢复PLC
export function EditSwapplc(data){
  return request({
    url: '/swap/plc',
    method: 'post',
    data
  })
}